MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021351Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2009-09-01 15:512015-05-14 16:23
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0021351: Fail to compute derivatives of offset surface on trimmed surfaces on offsets on CN surfaces
DescriptionProblem was detected by Roman Lygin

Draw> beziersurf bz 3 3 0 0 0 1 -1 0 2 0 0 0 -1 1 1 0 1 2 -1 1 0 0
2 1 -1 2 2 0 2
Draw> offset obz bz 0.5
Draw> trim tobz obz 0.1 0.9 0.1 0.9
Draw> offset otobz tobz 0.5
Draw> svalue otobz 0.2 0.2 x y z dux duy duz dvx dvy dvz
Crash – Standard_OutOfRange (trying to access internal array with invalid index)

Draw> offset oobz bz 1
Draw> svalue oobz 0.2 0.2 x y z dux duy duz dvx dvy dvz
OK

Draw> trim ttbz bz 0.1 0.9 0.1 0.9
Draw> offset ottbz ttbz 1
Draw> svalue ottbz 0.2 0.2 x y z dux duy duz dvx dvy dvz
OK

The same is reproduced on B-Spline of CN continuity (e.g. of degree 2 of 1 span)

Elementary surfaces seems to work fine (tested on sphere only though).
TagsNo tags attached.
Test case numberbugs modalg_6 bug21351
Attached Files

- Relationships

-  Notes
(0039596)
nbv (developer)
2015-04-10 17:16

The result on the current master is OK!
(0039602)
abv (manager)
2015-04-10 17:27

Please create test case
(0040055)
git (administrator)
2015-04-20 16:55

Branch CR21351 has been created by apn.

SHA-1: 2d179d76b4ba20724cf8f2e3f7536155ee41a693


Detailed log of new commits:

Author: apn
Date: Mon Apr 20 16:54:46 2015 +0300

    0021351: Fail to compute derivatives of offset surface on trimmed surfaces on offsets on CN surfaces
    
    Added test case bugs/modalg_6/bug21351
(0040056)
apn (administrator)
2015-04-20 16:56

Problem is not reproduced on current state of master.
Test case:
bugs modalg_6 bug21351 - OK
(0040916)
git (administrator)
2015-05-14 16:23

Branch CR21351 has been deleted by inv.

SHA-1: 2d179d76b4ba20724cf8f2e3f7536155ee41a693

- Related Changesets
occt: master 35d12218
Timestamp: 2015-04-20 13:54:46
Author: apn
Committer: bugmaster
Details ] Diff ]
0021351: Fail to compute derivatives of offset surface on trimmed surfaces on offsets on CN surfaces

Added test case bugs/modalg_6/bug21351
add - tests/bugs/modalg_6/bug21351 Diff ] File ]

- Issue History
Date Modified Username Field Change
2009-09-01 15:51 bugmaster Assigned To bugmaster => jgv
2009-09-01 15:51 bugmaster Status new => assigned
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2015-04-10 17:16 nbv Note Added: 0039596
2015-04-10 17:16 nbv Assigned To jgv => bugmaster
2015-04-10 17:16 nbv Status assigned => feedback
2015-04-10 17:27 abv Note Added: 0039602
2015-04-10 17:27 abv Assigned To bugmaster => apn
2015-04-10 17:27 abv Fixed in Version EMPTY =>
2015-04-10 17:27 abv Target Version => 6.9.0
2015-04-10 17:27 abv Description Updated View Revisions
2015-04-20 16:55 git Note Added: 0040055
2015-04-20 16:56 apn Note Added: 0040056
2015-04-20 16:58 apn Test case number => bugs modalg_6 bug21351
2015-04-20 16:58 apn Assigned To apn => bugmaster
2015-04-20 16:58 apn Status feedback => tested
2015-04-25 17:37 bugmaster Changeset attached => occt master 35d12218
2015-04-25 17:37 bugmaster Status tested => verified
2015-04-25 17:37 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:23 git Note Added: 0040916


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker